curl_multi_init(3)

NAME
curl_multi_init - create a multi handle

SYNOPSIS
#include <curl/curl.h>

CURLM *curl_multi_init( );

DESCRIPTION
This function returns a CURLM handle to be used as input to all the other multi-functions, sometimes refered to as a multi handle on some places in the documentation. This init call MUST have a corresponding call to curl_multi_cleanup(3) when the operation is complete.

RETURN VALUE
If this function returns NULL, something went wrong and you cannot use the other curl functions.

SEE ALSO
curl_multi_cleanup(3),curl_global_init(3),curl_easy_init(3)